Subject: Re: bug#57831: [PATCH] testsuite: Remove stray semicolon

From: Jim Meyering <[email-masked]>
Date: Thu, 15 Sep 2022 12:55:09 -0700

On Thu, Sep 15, 2022 at 10:32 AM Marvin Schmidt
<[email-masked]> wrote:
> It unintentionally ends the `export` command causing all the following
> variables not being exported to the test environment
>
> I was backporting the alleged fix[1] for the problem that leads to the
> following failure of the inplace-selinux.sh
> ```
> inplace-selinux.sh: set-up failure: CONFIG_HEADER not defined
> ```
> but the test still failed for me in the same way. Investigating the
> problem I noticed that some variables from the `TESTS_ENVIRONMENT`
> weren't present in the test. I then noticed the semicolon in the
> `built_program=sed;` line and figured that it probably ends the `export`
> command unintentionally.
>
> Looking at the original patch[1] showed that Chris Marusich inserted the
> ```
> CONFIG_HEADER='$(CONFIG_HEADER)'
> ```
> line just above `built_programs=sed;` which explains why it worked for
> him originally
>
> [1] b8f98f7dc363 ("tests: export CONFIG_HEADER to test scripts")
> [2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36150#16
> ---
>  testsuite/local.mk | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/testsuite/local.mk b/testsuite/local.mk
> index 13e6d004717e..2455af691b86 100644
> --- a/testsuite/local.mk
> +++ b/testsuite/local.mk
> @@ -160,7 +160,7 @@ TESTS_ENVIRONMENT =                         \
>    abs_top_builddir='$(abs_top_builddir)'       \
>    abs_top_srcdir='$(abs_top_srcdir)'           \
>    abs_srcdir='$(abs_srcdir)'                   \
> -  built_programs=sed;                          \
> +  built_programs=sed                           \
>    srcdir='$(srcdir)'                           \
>    top_srcdir='$(top_srcdir)'                   \
>    CC='$(CC)'                                   \

Good catch. Thank you for that fix.
I introduced the bug with this commit: v4.2.2-100-gb250bd4
I'll push the attached soon: